import {
  Body,
  Controller,
  Get,
  HttpCode,
  HttpStatus,
  Post,
  UploadedFiles,
  UseGuards,
  UseInterceptors,
} from '@nestjs/common';
import { AdminAuthGuard } from 'src/core/guards/admin-auth.guard';
import { Constants } from 'src/utils/constants';
import { HeroSectionLeftCmsService } from './hero-section-left-cms.service';
import { UpdateHeroSectionLeftCmsDto } from './dto/update-hero-section-left-cms.dto';
import { FileFieldsInterceptor } from '@nestjs/platform-express';
import { UploadedMulterFileI } from 'src/modules/SpacesModule/SpacesService';

@Controller({ path: 'hero-section-left-cms', version: Constants.API_VERSION_1 })
export class HeroSectionLeftCmsController {
  constructor(private readonly service: HeroSectionLeftCmsService) {}

  @Post()
  @HttpCode(HttpStatus.OK)
  @UseGuards(AdminAuthGuard)
  updateOrCreateData(
    @Body() dto: UpdateHeroSectionLeftCmsDto
  ) {
    return this.service.updateOrCreateData(dto);
  }

  @Get()
  // @UseGuards(AdminAuthGuard)
  findAll() {
    return this.service.findAll();
  }
}
