import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { NewsletterBannerCmsService } from "./newsletter-banner-cms.service";
import { UpdateNewsletterBannerCmsDto } from "./dto/update-newsletter-banner-cms.dto";

@Controller({ path: "newsletter-banner-cms", version: Constants.API_VERSION_1 })

export class NewsletterBannerCmsController {
    constructor(private readonly service: NewsletterBannerCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateNewsletterBannerCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
