import {EntityRepository, Repository} from "typeorm";
import {UpdateNewsletterBannerCmsDto} from "./dto/update-newsletter-banner-cms.dto";
import {NewsletterBannerCmsEntity} from "./entities/newsletter-banner-cms.entity";

@EntityRepository(NewsletterBannerCmsEntity)
export class NewsletterBannerCmsRepository extends Repository<NewsletterBannerCmsEntity> {

    async createEntity(dto: UpdateNewsletterBannerCmsDto): Promise<NewsletterBannerCmsEntity | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle,
                searchBoxText: dto.searchBoxText,
                buttonText: dto.buttonText
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateNewsletterBannerCmsDto, id: string): Promise<NewsletterBannerCmsEntity | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle,
                searchBoxText: dto.searchBoxText,
                buttonText: dto.buttonText
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<NewsletterBannerCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}