import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { AboutUsSectionTwoController } from "./about-us-section-two.controller";
import { AboutUsSectionTwoRepository } from "./about-us-section-two.repository";
import { AboutUsSectionTwoService } from "./about-us-section-two.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([AboutUsSectionTwoRepository])
    ],
    controllers: [AboutUsSectionTwoController],
    providers: [AboutUsSectionTwoService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class AboutUsSectionTwoModule {
}
