import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { CareerController } from "./career.controller";
import { CareerRepository } from "./career.repository";
import { CareerService } from "./career.service";
import { CareerDepartmentRepository } from "../career-department/career-department.repository";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([CareerRepository, CareerDepartmentRepository])
    ],
    controllers: [CareerController],
    providers: [CareerService, JwtHelper]
})
export class CareerModule {
}
