import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { ContactUsSectionOneController } from "./contact-us-section-one.controller";
import { ContactUsSectionOneRepository } from "./contact-us-section-one.repository";
import { ContactUsSectionOneService } from "./contact-us-section-one.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ContactUsSectionOneRepository])
    ],
    controllers: [ContactUsSectionOneController],
    providers: [ContactUsSectionOneService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class ContactUsSectionOneModule {
}
