import {Module} from "@nestjs/common";
import {ProductService} from "./product.service";
import {ProductController} from "./product.controller";
import {RetailerService} from "../retailer/retailer.service";
import {TypeOrmModule} from "@nestjs/typeorm";
import {ProductCategoryRepository} from "src/modules/dutchie-plus/custom/product-category/product-category.repository";
import {RetailerServiceRepository} from "../custom/retailer-service/retailer-service.repository";

@Module({
    imports: [
        TypeOrmModule.forFeature([
            ProductCategoryRepository,
            RetailerServiceRepository
        ])
    ],
    controllers: [ProductController],
    providers: [ProductService, RetailerService]
})
export class ProductModule {
}
